package com.bb.service;

import java.util.HashMap;
import java.util.List;

import org.codehaus.jettison.json.JSONObject;

import com.bb.model.CronStatusVo;
import com.bb.model.Game;
import com.bb.model.TplusApiInfo;

public interface TplusService {

	Long getBalanceUser(String LOG_PREFIX, TplusApiInfo apiInfo);
	
	String depositUser(String LOG_PREFIX, TplusApiInfo apiInfo, Long amount);
	
	String withdrawUser(String LOG_PREFIX, TplusApiInfo apiInfo);
	
	List<Game> gameList(String LOG_PREFIX, TplusApiInfo apiInfo);
	
	String getGameLink(String LOG_PREFIX, TplusApiInfo apiInfo);

	String getComanyBalance(HashMap vendor);
	
	String getDetails(String LOG_PREFIX, TplusApiInfo apiInfo);
}
